<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:36 CEST 2019 -->
<title>TimeZoneMapping (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TimeZoneMapping (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/tz/TimeZoneDatatypeCoder.html" title="class in org.firebirdsql.gds.ng.tz"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/tz/TimeZoneMapping.html" target="_top">Frames</a></li>
<li><a href="TimeZoneMapping.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.tz</div>
<h2 title="Class TimeZoneMapping" class="title">Class TimeZoneMapping</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.tz.TimeZoneMapping</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">TimeZoneMapping</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Mapping of Firebird time zone ids.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/tz/TimeZoneMapping.html#TimeZoneMapping--">TimeZoneMapping</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/firebirdsql/gds/ng/tz/TimeZoneMapping.html" title="class in org.firebirdsql.gds.ng.tz">TimeZoneMapping</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/tz/TimeZoneMapping.html#getInstance--">getInstance</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/tz/TimeZoneMapping.html#isOffsetTimeZone-int-">isOffsetTimeZone</a></span>(int&nbsp;timeZoneId)</code>
<div class="block">Determines if <code>timeZoneId</code> is an offset time zone or - possibly - a named time zone.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/tz/TimeZoneMapping.html#isSupportedOffsetTimezone-int-">isSupportedOffsetTimezone</a></span>(int&nbsp;timeZoneId)</code>
<div class="block">Determines if <code>timeZoneId</code> is an offset time zone in the range supported by Jaybird [-18:00, +18:00].</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/time/ZoneId.html?is-external=true" title="class or interface in java.time">ZoneId</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/tz/TimeZoneMapping.html#timeZoneById-int-">timeZoneById</a></span>(int&nbsp;timeZoneId)</code>
<div class="block">Maps a Firebird time zone id to a suitable Java <a href="https://docs.oracle.com/javase/8/docs/api/java/time/ZoneId.html?is-external=true" title="class or interface in java.time"><code>ZoneId</code></a>.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/tz/TimeZoneMapping.html#toOffsetMinutes-int-">toOffsetMinutes</a></span>(int&nbsp;timeZoneId)</code>
<div class="block">Return the offset in minutes for an offset time zone id</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/tz/TimeZoneMapping.html#toTimeZoneId-int-">toTimeZoneId</a></span>(int&nbsp;offsetMinutes)</code>
<div class="block">Return the Firebird time zone id for an offset in minutes.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/tz/TimeZoneMapping.html#toTimeZoneId-java.time.ZoneOffset-">toTimeZoneId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/time/ZoneOffset.html?is-external=true" title="class or interface in java.time">ZoneOffset</a>&nbsp;zoneOffset)</code>
<div class="block">Returns the Firebird time zone id for a <a href="https://docs.oracle.com/javase/8/docs/api/java/time/ZoneOffset.html?is-external=true" title="class or interface in java.time"><code>ZoneOffset</code></a>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TimeZoneMapping--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TimeZoneMapping</h4>
<pre>public&nbsp;TimeZoneMapping()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInstance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/tz/TimeZoneMapping.html" title="class in org.firebirdsql.gds.ng.tz">TimeZoneMapping</a>&nbsp;getInstance()</pre>
</li>
</ul>
<a name="timeZoneById-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>timeZoneById</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/time/ZoneId.html?is-external=true" title="class or interface in java.time">ZoneId</a>&nbsp;timeZoneById(int&nbsp;timeZoneId)</pre>
<div class="block">Maps a Firebird time zone id to a suitable Java <a href="https://docs.oracle.com/javase/8/docs/api/java/time/ZoneId.html?is-external=true" title="class or interface in java.time"><code>ZoneId</code></a>.
 <p>
 The returned value is either a named time zone (zone region), or an offset zone (<a href="https://docs.oracle.com/javase/8/docs/api/java/time/ZoneOffset.html?is-external=true" title="class or interface in java.time"><code>ZoneOffset</code></a>).
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timeZoneId</code> - Firebird time zone id (valid between between 0 and 65535)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>java.time.Zone</code> equivalent (out of range values or unmapped ids will return <code>UTC</code>).</dd>
</dl>
</li>
</ul>
<a name="isOffsetTimeZone-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOffsetTimeZone</h4>
<pre>public&nbsp;boolean&nbsp;isOffsetTimeZone(int&nbsp;timeZoneId)</pre>
<div class="block">Determines if <code>timeZoneId</code> is an offset time zone or - possibly - a named time zone.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timeZoneId</code> - Firebird time zone id</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if this is an offset time zone, <code>false</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="isSupportedOffsetTimezone-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSupportedOffsetTimezone</h4>
<pre>public&nbsp;boolean&nbsp;isSupportedOffsetTimezone(int&nbsp;timeZoneId)</pre>
<div class="block">Determines if <code>timeZoneId</code> is an offset time zone in the range supported by Jaybird [-18:00, +18:00].</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timeZoneId</code> - Firebird time zone id</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if this is an offset time zone in the range [-18:00, +18:00]</dd>
</dl>
</li>
</ul>
<a name="toOffsetMinutes-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toOffsetMinutes</h4>
<pre>public&nbsp;int&nbsp;toOffsetMinutes(int&nbsp;timeZoneId)</pre>
<div class="block">Return the offset in minutes for an offset time zone id</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timeZoneId</code> - Offset time zone id (in range [0, 2878])</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Offset in minutes, out of range values for <code>timeZoneId</code> will return <code>0</code> for UTC/GMT.</dd>
</dl>
</li>
</ul>
<a name="toTimeZoneId-java.time.ZoneOffset-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toTimeZoneId</h4>
<pre>public&nbsp;int&nbsp;toTimeZoneId(<a href="https://docs.oracle.com/javase/8/docs/api/java/time/ZoneOffset.html?is-external=true" title="class or interface in java.time">ZoneOffset</a>&nbsp;zoneOffset)</pre>
<div class="block">Returns the Firebird time zone id for a <a href="https://docs.oracle.com/javase/8/docs/api/java/time/ZoneOffset.html?is-external=true" title="class or interface in java.time"><code>ZoneOffset</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>zoneOffset</code> - The zone offset</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Firebird time zone id</dd>
</dl>
</li>
</ul>
<a name="toTimeZoneId-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toTimeZoneId</h4>
<pre>public&nbsp;int&nbsp;toTimeZoneId(int&nbsp;offsetMinutes)</pre>
<div class="block">Return the Firebird time zone id for an offset in minutes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>offsetMinutes</code> - Offset in minutes valid range [-1439, 1439] (or [-23:59, +23:59])</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Time zone id encoding the specified offset, out of range values will return id for offset <code>0</code> (UTC)</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/tz/TimeZoneDatatypeCoder.html" title="class in org.firebirdsql.gds.ng.tz"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/tz/TimeZoneMapping.html" target="_top">Frames</a></li>
<li><a href="TimeZoneMapping.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
